### Method

# Pango Color parse

#### Declaration [src]

    gboolean
    pango_color_parse (
      PangoColor* color,
      const char* spec
    )

#### Description [src]

Fill in the fields of a color from a string specification.

The string can either one of a large set of standard names. (Taken from the CSS Color specification, or it can be a value in the form `#rgb`, `#rrggbb`, `#rrrgggbbb` or `#rrrrggggbbbb`, where `r`, `g` and `b` are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is `#fff`, `#ffffff`, `#fffffffff` and `#ffffffffffff`.).

#### Parameters

`spec`

  Type: `const char*`

  A string specifying the new color.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if parsing of the specifier succeeded, otherwise `FALSE`.